"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.plugin = exports.filesystemPlugin = exports.FilesystemPlugin = void 0;
var resolvers_1 = require("./resolvers");
var w3_1 = require("./w3");
var core_js_1 = require("@web3api/core-js");
var FilesystemPlugin = /** @class */ (function (_super) {
    __extends(FilesystemPlugin, _super);
    function FilesystemPlugin() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    FilesystemPlugin.manifest = function () {
        return w3_1.manifest;
    };
    FilesystemPlugin.prototype.getModules = function () {
        return {
            query: resolvers_1.query(),
        };
    };
    return FilesystemPlugin;
}(core_js_1.Plugin));
exports.FilesystemPlugin = FilesystemPlugin;
exports.filesystemPlugin = function () {
    return {
        factory: function () { return new FilesystemPlugin(); },
        manifest: w3_1.manifest,
    };
};
exports.plugin = exports.filesystemPlugin;
//# sourceMappingURL=index.js.map